# Treat not specifying resource requests as requesting 0 resources
# Related docs:
# - https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/
# - https://kubernetes.io/docs/concepts/policy/resource-quotas/
# - https://kubernetes.io/docs/tasks/administer-cluster/manage-resources/memory-default-namespace/

apiVersion: v1
kind: LimitRange
metadata:
  name: default
spec:
  limits:
  - defaultRequest:
      memory: "0"
      cpu: "0"
    type: Container
